FOREIGN_DRAO_READ_HEADER(3)

EXPERIMENTAL_FUNC
foreign_drao_read_header - Read a DRAO dataset header.

SYNOPSIS
#include <karma_foreign.h>

multi_array * foreign_drao_read_header

(CONST char *setname, flag data_alloc, flag convert_int_to_float, KDRAODataContext *context, ...)

DESCRIPTION
Read a DRAO dataset header.

setname
    The DRAO dataset name.

data_alloc
    If TRUE, the data space is allocated.

convert_int_to_float
    If TRUE, integer data are converted to floating point data.

context
    The data reading context is written here, to be used in subsequent calls to <-foreign_drao_read_data->. This may be NULL.

... The optional attributes are given as pairs of attribute-key attribute-value pairs. This list must be terminated with FA_DRAO_READ_HEADER_END. See <-foreign_ATT_DRAO_READ_HEADER-> for a list of defined attributes.

RETURN VALUE
A multi_array descriptor on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/